SoEngineOutputList(3)

NAME
SoEngineOutputList - The SoEngineOutputList class is a container for SoEngineOutput objects.

SYNOPSIS

#include <Inventor/lists/SoEngineOutputList.h>

Inherits SbPList.

  Public Member Functions
SoEngineOutputList (void)
SoEngineOutputList (const int sizehint)
SoEngineOutputList (const SoEngineOutputList &l)
void append (SoEngineOutput *output)
void insert (SoEngineOutput *output, const int insertbefore)
SoEngineOutput * operator[] (const int idx) const
void set (const int idx, SoEngineOutput *item)

  Additional Inherited Members

Detailed Description

The SoEngineOutputList class is a container for SoEngineOutput objects.

See also
    SbList

Constructor & Destructor Documentation

  SoEngineOutputList::SoEngineOutputList (void) [inline]
Default constructor.

  SoEngineOutputList::SoEngineOutputList (const int sizehint) [inline]
This constructor initializes the internal allocated size for the list to sizehint. Note that the list will still initially contain zero items.

  SoEngineOutputList::SoEngineOutputList (const SoEngineOutputList & l) [inline]
Copy constructor.

Member Function Documentation

  void SoEngineOutputList::append (SoEngineOutput * output) [inline]
Append item to the end of the list.

Automatically allocates more items internally if needed.

Overloaded from parent to accept an SoEngineOutput pointer argument.

See also
    SbPList::append()

  void SoEngineOutputList::insert (SoEngineOutput * output, const int insertbefore) [inline]
Insert item at index insertbefore.

insertbefore should not be larger than the current number of items in the list.

Overloaded from parent to accept an SoEngineOutput pointer argument.

See also
    SbPList::insert()

  SoEngineOutput * SoEngineOutputList::operator[] (const int idx) const [inline]
Returns element at index.

Will automatically expand the size of the internal array if index is outside the current bounds of the list. The values of any additional pointers are then set to NULL.

Overloaded from parent to return an SoEngineOutput pointer.

See also
    SbPList::operator[]()

  void SoEngineOutputList::set (const int index, SoEngineOutput * item) [inline]
Index operator to set element at index. Does not expand array bounds if index is outside the list.

Overloaded from parent to destruct the replaced item.

See also
    SbPList::set()

Author

Generated automatically by Doxygen for Coin from the source code.